com.holonplatform.vaadin.flow.components

## Interface Components.dialog

- Enclosing interface:
    Components

      public static interface Components.dialog

  Dialog builders provider.

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DialogBuilder.ConfirmDialogBuilder` | `confirm()` Get a builder to create a message dialog with a OK button in the dialog toolbar which can be used to close the dialog.
    `static DialogBuilder.MessageDialogBuilder` | `message()` Get a builder to create a generic message dialog.
    `static DialogBuilder.QuestionDialogBuilder` | `question(DialogBuilder.QuestionDialogCallback questionDialogCallback)` Get a builder to create a question dialog, with a confirm button and a deny button in the dialog toolbar which will trigger the given `questionDialogCallback` to react to the user choice.
    `static void` | `showConfirm(com.holonplatform.core.i18n.Localizable message)` Show a confirm dialog with given localizable message text.
    `static void` | `showConfirm(String message)` Show a confirm dialog with given message text.
    `static void` | `showConfirm(String defaultMessage, String messageCode, Object... arguments)` Show a confirm dialog with given localizable message text.
    `static void` | `showMessage(com.holonplatform.core.i18n.Localizable message)` Show a message dialog with given localizable message text.
    `static void` | `showMessage(String message)` Show a message dialog with given message text.
    `static void` | `showMessage(String defaultMessage, String messageCode, Object... arguments)` Show a message dialog with given localizable message text.
    `static void` | `showQuestion(DialogBuilder.QuestionDialogCallback questionDialogCallback, com.holonplatform.core.i18n.Localizable message)` Show a question dialog with given localizable message text.
    `static void` | `showQuestion(DialogBuilder.QuestionDialogCallback questionDialogCallback, String message)` Show a question dialog with given message text.
    `static void` | `showQuestion(DialogBuilder.QuestionDialogCallback questionDialogCallback, String defaultMessage, String messageCode, Object... arguments)` Show a question dialog with given localizable message text.

- - ### Method Detail

    - #### message

          static DialogBuilder.MessageDialogBuilder message()

      Get a builder to create a generic message dialog.
      Returns:
        A new `DialogBuilder.MessageDialogBuilder`

    - #### showMessage

          static void showMessage(com.holonplatform.core.i18n.Localizable message)

      Show a message dialog with given localizable message text.
      Parameters:
        `message` - The dialog message text

    - #### showMessage

          static void showMessage(String message)

      Show a message dialog with given message text.
      Parameters:
        `message` - The dialog message text

    - #### showMessage

          static void showMessage(String defaultMessage,
                                  String messageCode,
                                  Object... arguments)

      Show a message dialog with given localizable message text.
      Parameters:
        `defaultMessage` - Default dialog message if no translation is available for given `messageCode` for current `Locale`
        `messageCode` - Dialog message translation message key
        `arguments` - Optional dialog message translation arguments
      See Also:
        `LocalizationProvider`

    - #### confirm

          static DialogBuilder.ConfirmDialogBuilder confirm()

      Get a builder to create a message dialog with a OK button in the dialog toolbar which can be used to close the dialog.

      The default OK button message localization code is `DialogBuilder.DEFAULT_OK_BUTTON_MESSAGE_CODE`.

      Returns:
        A new `DialogBuilder.ConfirmDialogBuilder`

    - #### showConfirm

          static void showConfirm(com.holonplatform.core.i18n.Localizable message)

      Show a confirm dialog with given localizable message text.
      Parameters:
        `message` - The dialog message text

    - #### showConfirm

          static void showConfirm(String message)

      Show a confirm dialog with given message text.
      Parameters:
        `message` - The dialog message text

    - #### showConfirm

          static void showConfirm(String defaultMessage,
                                  String messageCode,
                                  Object... arguments)

      Show a confirm dialog with given localizable message text.
      Parameters:
        `defaultMessage` - Default dialog message if no translation is available for given `messageCode` for current `Locale`.
        `messageCode` - Dialog message translation message key
        `arguments` - Optional dialog message translation arguments
      See Also:
        `LocalizationProvider`

    - #### question

          static DialogBuilder.QuestionDialogBuilder question(DialogBuilder.QuestionDialogCallback questionDialogCallback)

      Get a builder to create a question dialog, with a confirm button and a deny button in the dialog toolbar which will trigger the given `questionDialogCallback` to react to the user choice.

      The default confirm button message localization code is `DialogBuilder.DEFAULT_CONFIRM_BUTTON_MESSAGE_CODE`. The default deny button message localization code is `DialogBuilder.DEFAULT_DENY_BUTTON_MESSAGE_CODE`.

      Parameters:
        `questionDialogCallback` - The callback function use to react to the user selection (not null)
      Returns:
        A new `DialogBuilder.QuestionDialogBuilder`

    - #### showQuestion

          static void showQuestion(DialogBuilder.QuestionDialogCallback questionDialogCallback,
                                   com.holonplatform.core.i18n.Localizable message)

      Show a question dialog with given localizable message text.
      Parameters:
        `questionDialogCallback` - The callback function use to react to the user selection (not null)
        `message` - The dialog message text

    - #### showQuestion

          static void showQuestion(DialogBuilder.QuestionDialogCallback questionDialogCallback,
                                   String message)

      Show a question dialog with given message text.
      Parameters:
        `questionDialogCallback` - The callback function use to react to the user selection (not null)
        `message` - The dialog message text

    - #### showQuestion

          static void showQuestion(DialogBuilder.QuestionDialogCallback questionDialogCallback,
                                   String defaultMessage,
                                   String messageCode,
                                   Object... arguments)

      Show a question dialog with given localizable message text.
      Parameters:
        `questionDialogCallback` - The callback function use to react to the user selection (not null)
        `defaultMessage` - Default dialog message if no translation is available for given `messageCode` for current `Locale`
        `messageCode` - Dialog message translation message key
        `arguments` - Optional dialog message translation arguments
      See Also:
        `LocalizationProvider`

Copyright © 2019 The Holon Platform. All rights reserved.